Bug 170264 - CAN-2005-3108 ioremap x86_64 DoS
CAN-2005-3108 ioremap x86_64 DoS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
public=20050517,impact=moderate,sourc...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-10 08:14 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2005-808
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-27 11:09:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-10-10 08:14:18 EDT
mm/ioremap.c in Linux 2.6 on x86_64 systems allows local users to cause a denial
of service or an information leak via an iremap on a certain memory map that
causes the iounmap to perform a lookup of a page that does not exist.

fixed upstream in 2.6.12
http://linux.bkbits.net:8080/linux-2.6/cset@428a06d1t7yny15TW1vsHxmsfP9YPg
Comment 1 Jason Baron 2005-10-12 11:38:38 EDT

*** This bug has been marked as a duplicate of 168217 ***
Comment 3 Red Hat Bugzilla 2005-10-27 11:09:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-808.html

Note You need to log in before you can comment on or make changes to this bug.